Last Comment Bug 316258 - Document new tab feature (Reorder / Rearrange / Move browser tabs)
: Document new tab feature (Reorder / Rearrange / Move browser tabs)
Status: RESOLVED FIXED
: fixed1.8
Product: SeaMonkey
Classification: Client Software
Component: Help Documentation (show other bugs)
: unspecified
: All All
: -- normal (vote)
: seamonkey1.0beta
Assigned To: Giacomo Magnini
: Daniel Wang
Mentors:
Depends on: 105885
Blocks:
  Show dependency treegraph
 
Reported: 2005-11-13 04:39 PST by Stefan [:stefanh]
Modified: 2005-12-22 16:40 PST (History)
3 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Lame rip-off of FX help, including shortcuts. A Mac-head will need to verify them. No changes to rdf files seems needed. (4.11 KB, patch)
2005-12-09 06:06 PST, Giacomo Magnini
iann_bugzilla: review-
Details | Diff | Review
Updated patch. (7.63 KB, patch)
2005-12-11 01:38 PST, Giacomo Magnini
iann_bugzilla: review+
iann_bugzilla: approval‑seamonkey1.0+
Details | Diff | Review
Like so? (Checked in to trunk/branch 1.8 & 1.8.0) (7.72 KB, patch)
2005-12-14 00:39 PST, Giacomo Magnini
iann_bugzilla: review+
iann_bugzilla: approval‑seamonkey1.0+
Details | Diff | Review

Description Stefan [:stefanh] 2005-11-13 04:39:19 PST
We should document the new tab feature. It will fit well into the existing documentation - I can imagine a new subheading would be nice. There  are also a few new shortcuts.
Comment 1 Stefan [:stefanh] 2005-12-08 14:56:54 PST
Giacomo, if you  want to take this - just go ahead. I won't have the time for some days... If the patch in bug 105885 goes into the branch we'll need this on branch as well.
Comment 2 Giacomo Magnini 2005-12-08 15:09:11 PST
(In reply to comment #1)
> Giacomo, if you  want to take this - just go ahead. I won't have the time for
> some days... If the patch in bug 105885 goes into the branch we'll need this on
> branch as well.

I still have to see the feature in action. IS there any place I can look to for inspiration? :)
Comment 3 Stefan [:stefanh] 2005-12-08 15:15:14 PST
(In reply to comment #2)
> (In reply to comment #1)
> > Giacomo, if you  want to take this - just go ahead. I won't have the time for
> > some days... If the patch in bug 105885 goes into the branch we'll need this on
> > branch as well.
> 
> I still have to see the feature in action. IS there any place I can look to for
> inspiration? :)
> 

Well, bug 105885 was fixed 2005-12-05, so you could grab a nightly build :)
Comment 4 Giacomo Magnini 2005-12-09 06:06:20 PST
Created attachment 205392 [details] [diff] [review]
Lame rip-off of FX help, including shortcuts. A Mac-head will need to verify them. No changes to rdf files seems needed.
Comment 5 Stefan [:stefanh] 2005-12-09 10:03:11 PST
Comment on attachment 205392 [details] [diff] [review]
Lame rip-off of FX help, including shortcuts. A Mac-head will need to verify them. No changes to rdf files seems needed.

>Index: extensions/help/resources/locale/en-US/customize_help.xhtml
>===================================================================
...
...
>+  window, simply drag it there using your mouse. While you are dragging the
>+  tab, &brandShortName; displays a small down arrow to show where the tab will
>+  be moved

We don't display the arrow on mac Classic...

As for the changes in extensions/help/resources/locale/en-US/shortcuts-navigator.xhtml,  mac uses "Cmd" instead of "Ctrl".

I'll comment more in a while, so no need to attach anything new yet :)
Comment 6 Stefan [:stefanh] 2005-12-09 10:27:41 PST
(In reply to comment #4)

> No changes to rdf files seems needed.

Actually, you'll have to change that - just look in the contents pane ;)


(In reply to comment #5)
> (From update of attachment 205392 [details] [diff] [review] [edit])
> >Index: extensions/help/resources/locale/en-US/customize_help.xhtml
> >===================================================================
> ...
> ...
> >+  window, simply drag it there using your mouse. While you are dragging the
> >+  tab, &brandShortName; displays a small down arrow to show where the tab will
> >+  be moved
> 
> We don't display the arrow on mac Classic...

Hmm, since we don't display any arrow in mac classic and it seems to me that the arrow is a bit mis-placed in Modern (at least on mac) - it appears once between the "from" tab and the adjoining tab, ie it doesn't follow the movement as I would expect from the text - I suggest just leaving out that part. Since we're actually doing this with css in the  themes, I can imagine that there might be third-party themes that doesn't diplay any arrow. Anyway, I'll leave the decision to Ian.
> 
> As for the changes in
> extensions/help/resources/locale/en-US/shortcuts-navigator.xhtml,  mac uses
> "Cmd" instead of "Ctrl".
> 
Just replace "Ctrl" with "Cmd" for mac and you'll be fine.
Comment 7 Ian Neal 2005-12-10 18:11:13 PST
(In reply to comment #6)
> (In reply to comment #4)
> 
> > No changes to rdf files seems needed.
> 
> Actually, you'll have to change that - just look in the contents pane ;)

Yes, you will have to add an entry under Tabbed Browsing in Customizing SeaMonkey. Also something needs to go into index under Tabbed Browsing. Possibly a few other places to look at too.
> 
> 
> (In reply to comment #5)
> > (From update of attachment 205392 [details] [diff] [review] [edit] [edit])
> > >Index: extensions/help/resources/locale/en-US/customize_help.xhtml
> > >===================================================================
> > ...
> > ...
> > >+  window, simply drag it there using your mouse. While you are dragging the
> > >+  tab, &brandShortName; displays a small down arrow to show where the tab will
> > >+  be moved
> > 
> > We don't display the arrow on mac Classic...
> 
> Hmm, since we don't display any arrow in mac classic and it seems to me that
> the arrow is a bit mis-placed in Modern (at least on mac) - it appears once
> between the "from" tab and the adjoining tab, ie it doesn't follow the movement
> as I would expect from the text - I suggest just leaving out that part. Since
> we're actually doing this with css in the  themes, I can imagine that there
> might be third-party themes that doesn't diplay any arrow. Anyway, I'll leave
> the decision to Ian.

Are there any other places that display things differently under different themes and are mentioned in help?
> > 
> > As for the changes in
> > extensions/help/resources/locale/en-US/shortcuts-navigator.xhtml,  mac uses
> > "Cmd" instead of "Ctrl".
> > 
> Just replace "Ctrl" with "Cmd" for mac and you'll be fine.
> 
Agreed.
Comment 8 Giacomo Magnini 2005-12-11 01:38:30 PST
Created attachment 205537 [details] [diff] [review]
Updated patch.

- Added entries to help-toc and help-index1
- Changed "small down arrow" to "indicator" (like FX)
- Changed Ctrl to Cmd for Mac shortcuts
Comment 9 Stefan [:stefanh] 2005-12-11 07:56:49 PST
 
> Are there any other places that display things differently under different
> themes and are mentioned in help?

I can't think of any, but I haven't really looked for it. Note that on mac classic we don't display anything.

Comment 10 Ian Neal 2005-12-13 15:09:15 PST
Comment on attachment 205537 [details] [diff] [review]
Updated patch.

Is it worth mentioning the keyboard shortcuts don't work when a text box has focus?
Comment 11 Giacomo Magnini 2005-12-14 00:39:38 PST
Created attachment 205809 [details] [diff] [review]
Like so? (Checked in to trunk/branch 1.8 & 1.8.0)
Comment 12 Stefan [:stefanh] 2005-12-14 00:43:03 PST
There might be some last-minute changes of the shortcuts, but I suppose that could go in bug 320161... :/
Comment 13 Ian Neal 2005-12-14 08:01:58 PST
Comment on attachment 205809 [details] [diff] [review]
Like so? (Checked in to trunk/branch 1.8 & 1.8.0)

yes
Comment 14 Stefan [:stefanh] 2005-12-14 11:48:43 PST
Checked in (trunk/branch) by Standard8. Some minutes left to the freeze, puh.
Comment 15 Ian Neal 2005-12-22 16:40:01 PST
Comment on attachment 205809 [details] [diff] [review]
Like so? (Checked in to trunk/branch 1.8 & 1.8.0)

Checking in (branch 1.8.0)
customize_help.xhtml;
new revision: 1.45.16.1; previous revision: 1.45
shortcuts-navigator.xhtml;
new revision: 1.10.6.2.2.1; previous revision: 1.10.6.2
help-index1.rdf;
new revision: 1.44.8.1.2.1; previous revision: 1.44.8.1
help-toc.rdf;
new revision: 1.78.4.2.4.1; previous revision: 1.78.4.2
done

Note You need to log in before you can comment on or make changes to this bug.